import request from '@/utils/httpRequest'
import { BUSINESS_PATH as prefix } from "../AppPath";

export default class DriveService{
	list (param) {
		return request({
			url: prefix +'/drive/applyList',
			method: 'get',
			params: param
		})
	}

	saveForm (inputForm) {
		return request({
			url: prefix + `/drive/saveForm`,
			method: 'post',
			data: inputForm
		})
	}

	queryById (id) {
		return request({
			url: prefix +'/drive/findById',
			method: 'get',
			params: {id: id}
		})
	}

	updateStatusById(data) {
		return request({
			url: prefix + "/drive/updateStatusById",
			method: "post",
			data: data,
		})
	}
	delete (ids) {
		return request({
			url: prefix+"/drive/delete",
			method: 'delete',
			params: {id: ids}
		})
	}

	saveAccountForm (inputForm) {
		return request({
			url: prefix + `/drive/saveAccountForm`,
			method: 'post',
			data: inputForm
		})
	}

	updateStatusByApplyId(data) {
		return request({
			url: prefix + "/drive/updateStatusByApplyId",
			method: "post",
			data: data,
		})
	}

	adminEditForm(param){
		return request({
			url: prefix + "/drive/adminEditForm",
			method: "post",
			data: param,
		})
	}

	checkUseMen(useMen){
		return request({
			url: prefix + "/drive/checkUseMen",
			method: "get",
			params: {useMen:useMen}
		})
	}

	exportFile(params) {
		return request({
			url: prefix + "/drive/export",
			method: "get",
			params: params,
			responseType: "blob",
		});
	}

}
